Get tenant details
Returns the current tenant state and public settings.
Request
POST
https://api.datalens.tech/rpc/getTenantDetails
Headers
|
Name |
Description |
|
x-dl-api-version |
Type: string API version header. Const: Example: |
Responses
200 OK
Response
Body
application/json
{
"tenantId": "example",
"orgId": "example",
"settings": {
"dataExportProhibited": true,
"prohibitionPublication": true,
"workbookFileExportProhibited": true,
"defaultColorPaletteId": "example",
"aiAssistantProhibited": true,
"externalAIProvidersEnabled": true,
"aiChatHistoryProhibited": true,
"sharingProhibited": true,
"newObjectCreatorRole": "admin",
"defaultSidebarMode": "simplified",
"autoAssignLicenses": true,
"autoBuyLicenses": true,
"autoBuyLicensesLimit": 0.5
},
"dlpEnabled": true,
"foldersEnabled": true
}
|
Name |
Description |
||||||||||||||||||||||||||||
|
dlpEnabled |
Type: boolean Whether DataLens Platform mode is enabled for the tenant. |
||||||||||||||||||||||||||||
|
foldersEnabled |
Type: boolean Whether legacy folder navigation is enabled for the tenant. |
||||||||||||||||||||||||||||
|
orgId |
Type: string | null ID of the organization. Null when the tenant has no organization. Example: |
||||||||||||||||||||||||||||
|
settings |
Type: object
Public tenant settings. Additional public settings may be returned. Example
|
||||||||||||||||||||||||||||
|
tenantId |
Type: string ID of the current DataLens tenant. Example: |